openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RSZ_X_MEMBERS_GET:
    post:
      tags:
      - RZX0
      operationId: /rfc/RSZ_X_MEMBERS_GET
      requestBody:
        content:
          application/json:
            schema:
              properties:
                I_DATETO:
                  type: string
                  format: date
                  default: SY-DATUM
                I_GIVE_ALL:
                  type: string
                  default: ' '
                  maxLength: 1
                I_INFOCUBE:
                  type: string
                  maxLength: 30
                I_IOBJNM:
                  type: string
                  maxLength: 30
                I_IOBJTP:
                  type: string
                  default: ' '
                  maxLength: 3
                I_LIMIT:
                  type: integer
                  format: int32
                  default: 100
                I_MEMBER_EXT:
                  type: string
                  maxLength: 70
                I_OBJVERS:
                  type: string
                  default: A
                  maxLength: 1
                C_T_DEP:
                  type: array
                  items:
                    type: object
                    properties:
                      CHANM:
                        type: string
                        maxLength: 30
                        description: Characteristic
                      CHAVL_INT:
                        type: string
                        maxLength: 60
                        description: 'Dim: Field for a User-Defined Characteristic Value'
                      CHAVL_EXT:
                        type: string
                        maxLength: 70
                        description: Field for any characteristic value (external display)
                      TXTSH:
                        type: string
                        maxLength: 20
                        description: Short description
                      TXTMD:
                        type: string
                        maxLength: 40
                        description: Medium description
                      TXTLG:
                        type: string
                        maxLength: 60
                        description: Long description
                      FIXKZ:
                        type: string
                        maxLength: 1
                        description: 'Data element for domain BOOLE: TRUE (=''X'') and FALSE (='' '')  enumValues: X=TRUE,""=FALSE'
                        enum:
                        - X
                        - ''
                      DEPCHECK:
                        type: integer
                        format: int32
                        description: Return Value of ABAP Statements
                      INTLEN:
                        type: integer
                        format: int64
                        description: Internal Length in Bytes
                      LOWERCASE:
                        type: string
                        maxLength: 1
                        description: 'Lowercase letters allowed/not allowed  enumValues: ""=Do not set flag,X=Set flag'
                        enum:
                        - ''
                        - X
                E_T_MEMBER_LIST:
                  type: array
                  items:
                    type: object
                    properties:
                      CHAVL_INT:
                        type: string
                        maxLength: 60
                        description: 'Dim: Field for a User-Defined Characteristic Value'
                      CHAVL_EXT:
                        type: string
                        maxLength: 70
                        description: Field for any characteristic value (external display)
                      CHATEXT:
                        type: string
                        maxLength: 60
                        description: Long description
                      ACCESS:
                        type: integer
                        format: int64
                        description: 'Access Options of a Front-End Object  enumValues: 16=Delete,02=Displayable,01=No Access Allowed,04=Usable,32=Next Free Value (Not Used Up to Now),00=Not Set (Compatibility with Older Systems),08=Changeable'
                        enum:
                        - '16'
                        - '02'
                        - '01'
                        - '04'
                        - '32'
                        - '00'
                        - '08'
              required:
              - I_IOBJNM
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  E_MORE_MEMBERS_EXIST:
                    type: string
                    maxLength: 1
                  E_SUBRC:
                    type: integer
                    format: int32
                  C_T_DEP:
                    type: array
                    items:
                      type: object
                      properties:
                        CHANM:
                          type: string
                          maxLength: 30
                          description: Characteristic
                        CHAVL_INT:
                          type: string
                          maxLength: 60
                          description: 'Dim: Field for a User-Defined Characteristic Value'
                        CHAVL_EXT:
                          type: string
                          maxLength: 70
                          description: Field for any characteristic value (external display)
                        TXTSH:
                          type: string
                          maxLength: 20
                          description: Short description
                        TXTMD:
                          type: string
                          maxLength: 40
                          description: Medium description
                        TXTLG:
                          type: string
                          maxLength: 60
                          description: Long description
                        FIXKZ:
                          type: string
                          maxLength: 1
                          description: 'Data element for domain BOOLE: TRUE (=''X'') and FALSE (='' '')  enumValues: X=TRUE,""=FALSE'
                          enum:
                          - X
                          - ''
                        DEPCHECK:
                          type: integer
                          format: int32
                          description: Return Value of ABAP Statements
                        INTLEN:
                          type: integer
                          format: int64
                          description: Internal Length in Bytes
                        LOWERCASE:
                          type: string
                          maxLength: 1
                          description: 'Lowercase letters allowed/not allowed  enumValues: ""=Do not set flag,X=Set flag'
                          enum:
                          - ''
                          - X
                  E_T_MEMBER_LIST:
                    type: array
                    items:
                      type: object
                      properties:
                        CHAVL_INT:
                          type: string
                          maxLength: 60
                          description: 'Dim: Field for a User-Defined Characteristic Value'
                        CHAVL_EXT:
                          type: string
                          maxLength: 70
                          description: Field for any characteristic value (external display)
                        CHATEXT:
                          type: string
                          maxLength: 60
                          description: Long description
                        ACCESS:
                          type: integer
                          format: int64
                          description: 'Access Options of a Front-End Object  enumValues: 16=Delete,02=Displayable,01=No Access Allowed,04=Usable,32=Next Free Value (Not Used Up to Now),00=Not Set (Compatibility with Older Systems),08=Changeable'
                          enum:
                          - '16'
                          - '02'
                          - '01'
                          - '04'
                          - '32'
                          - '00'
                          - '08'
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
